### Method

# Ide Device get_info_async

#### Declaration

    void
    ide_device_get_info_async (
      IdeDevice* self,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously requests information about the device.

Some information may not be available until after a connection has been established. This allows the device to connect before fetching that information.

Available since: | 3.32

#### Parameters

`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to execute upon completion.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.